# \hhu\z\exceptionsQuesttypeModelNotValidException

Exception: QuesttypeModel not valid.

## Summary

Methods
Properties
Constants
__construct()
getClassName()
No public properties found
CODE
MESSAGE
No protected methods found
No protected properties found
N/A
concat()
$questtypeName
N/A

File
  app/exceptions/QuesttypeModelNotValidException.inc
Package
  Default
Class hierarchy
  \Exception
  \nre\core\Exception
  \hhu\z\exceptions\QuesttypeModelNotValidException

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Constants

### CODE

    CODE

Error code

#

## Tags

None found

### MESSAGE

    MESSAGE

Error message

#

## Tags

None found

## Properties

### $questtypeName

    $questtypeName : string

Name of the invalid class

#### Type

string

#

## Tags

None found

## Methods

### __construct()

    __construct(string  $questtypeName, string  $message = self::MESSAGE, integer  $code = self::CODE)

Construct a new exception.

#### Parameters

string | $questtypeName | Name of the invalid QuesttypeModel
string | $message | Error message
integer | $code | Error code

#

## Tags

None found

### getClassName()

    getClassName() : string

Get the name of the invalid QuesttypeModel.

#### Returns

string —

Name of the invalid QuesttypeModel

#

## Tags

None found

### concat()

    concat(string  $message, string  $name)

Insert the name in a message

#### Parameters

string | $message | Error message
string | $name | Name to insert

#

Inherited from
  \nre\core\Exception

## Tags

None found

### QuesttypeModelNotValidException.inc